.Net Framework 4.7.2 Vulnerabilities

S Abijith 346 Reputation points
2023-09-06T11:21:43.0133333+00:00

Hi All,

We have an application currently built on .Net Framework 4.7.2. The system also has .Net Framework 4.7.2 installed.

We found a few vulnerabilities associated with .Net Framework 4.7.2. We were informed that if we install the below mentioned patches, it would resolve all the vulnerabilities associated with .Net Framework 4.7.2:

KB5027131
KB5027222

Now the question is,

1)We upgrade to .Net Framework 4.8 on the system

2)Dont install the above mentioned patches

would it still resolve all the vulnerabilities which are supposed to be fixed by the above mentioned patches??

Please let us know on this!!

Thank you in advance!!

C#
C#
An object-oriented and type-safe programming language that has its roots in the C family of languages and includes support for component-oriented programming.
10,219 questions
0 comments No comments
{count} votes

Accepted answer
  1. Jiale Xue - MSFT 31,196 Reputation points Microsoft Vendor
    2023-09-06T12:18:26.51+00:00

    Hi @S Abijith , Welcome to Microsoft Q&A,

    An important question is, has your application been upgraded to 4.8?

    If your app doesn't support 4.8, this will most likely not work for you.

    Upgrading to a newer version is a good solution.

    Best Regards,

    Jiale


    If the answer is the right solution, please click "Accept Answer" and kindly upvote it. If you have extra questions about this answer, please click "Comment". 

    Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.


0 additional answers

Sort by: Most helpful